package com.ruoyi.ibs.grid.domain.dto;

import com.ruoyi.common.annotation.Excel;

import javax.validation.constraints.NotNull;

public class CustManageInfo {

    /** 网格标签 */
    @Excel(name = "网格标签：1-行政网格；2-特色网格；3-虚拟网格")
    @NotNull(message = "网格标签不能为空")
    private String gridPattern = "1";

    /** 网格级别 */
    @NotNull(message = "网格级别不能为空")
    private String gridLevel = "1";

    /** 登入用户机构 */
    private Long userDept ;

    /** 网格id */
    @NotNull(message = "网格id不能为空")
    private Long gridId;

    /** 网格名称 */
    @NotNull(message = "网格名称不能为空")
    private String gridName;

    /** 一级网格名称 */
    @Excel(name = "一级网格名称")
    private String topGridName;

    /** 一级网格责任类型 */
    @Excel(name = "一级网格责任类型")
    private String topGridDutyType;

    /** 二级网格名称 */
    @Excel(name = "二级网格名称")
    private String secGridName;

    /** 二级网格责任类型 */
    @Excel(name = "二级网格责任类型")
    private String secGridDutyType;

    /** 虚拟网格名称 */
    @Excel(name = "虚拟网格名称")
    private String virtualGridName;

    /** 虚拟网格责任类型 */
    @Excel(name = "虚拟网格责任类型")
    private String virtualGridDutyType;

    /** 是否已分配 */
    private String distributeTag;

    /** 客户名称 */
    @Excel(name = "客户名称")
    private String custName;

    /** 客户Id */
    @Excel(name = "客户Id")
    private String custId;

    /** 客户证件号 */
    @Excel(name = "客户证件号")
    private String custNo;

    /** 客户标签 */
    @Excel(name = "客户标签")
    private String custPattern;

    /** 归属支行 */
    @Excel(name = "归属支行")
    private String belongBranchName;

    /** 归属支行id */
    private String belongBranchId;

    /** 归属网点名称 */
    @Excel(name = "归属网点名称")
    private String belongOutletName;

    /** 归属客户经理id */
    @Excel(name = "归属客户经理id")
    private String belongUserId;

    /** 归属客户经理名称 */
    @Excel(name = "归属客户经理名称")
    private String belongUserName;

    /** 创建者 */
    @Excel(name = "创建者")
    private String createRole;

    /** 客户所属区划 */
    private String regionCode;

    public String getGridPattern() {
        return gridPattern;
    }

    public void setGridPattern(String gridPattern) {
        this.gridPattern = gridPattern;
    }

    public String getGridLevel() {
        return gridLevel;
    }

    public void setGridLevel(String gridLevel) {
        this.gridLevel = gridLevel;
    }

    public Long getUserDept() {
        return userDept;
    }

    public void setUserDept(Long userDept) {
        this.userDept = userDept;
    }

    public Long getGridId() {
        return gridId;
    }

    public void setGridId(Long gridId) {
        this.gridId = gridId;
    }

    public String getGridName() {
        return gridName;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public String getTopGridName() {
        return topGridName;
    }

    public void setTopGridName(String topGridName) {
        this.topGridName = topGridName;
    }

    public String getTopGridDutyType() {
        return topGridDutyType;
    }

    public void setTopGridDutyType(String topGridDutyType) {
        this.topGridDutyType = topGridDutyType;
    }

    public String getSecGridName() {
        return secGridName;
    }

    public void setSecGridName(String secGridName) {
        this.secGridName = secGridName;
    }

    public String getSecGridDutyType() {
        return secGridDutyType;
    }

    public void setSecGridDutyType(String secGridDutyType) {
        this.secGridDutyType = secGridDutyType;
    }

    public String getVirtualGridName() {
        return virtualGridName;
    }

    public void setVirtualGridName(String virtualGridName) {
        this.virtualGridName = virtualGridName;
    }

    public String getVirtualGridDutyType() {
        return virtualGridDutyType;
    }

    public void setVirtualGridDutyType(String virtualGridDutyType) {
        this.virtualGridDutyType = virtualGridDutyType;
    }

    public String getDistributeTag() {
        return distributeTag;
    }

    public void setDistributeTag(String distributeTag) {
        this.distributeTag = distributeTag;
    }

    public String getCustName() {
        return custName;
    }

    public void setCustName(String custName) {
        this.custName = custName;
    }

    public String getCustId() {
        return custId;
    }

    public void setCustId(String custId) {
        this.custId = custId;
    }

    public String getCustNo() {
        return custNo;
    }

    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }

    public String getCustPattern() {
        return custPattern;
    }

    public void setCustPattern(String custPattern) {
        this.custPattern = custPattern;
    }

    public String getBelongBranchName() {
        return belongBranchName;
    }

    public void setBelongBranchName(String belongBranchName) {
        this.belongBranchName = belongBranchName;
    }

    public String getBelongBranchId() {
        return belongBranchId;
    }

    public void setBelongBranchId(String belongBranchId) {
        this.belongBranchId = belongBranchId;
    }

    public String getBelongOutletName() {
        return belongOutletName;
    }

    public void setBelongOutletName(String belongOutletName) {
        this.belongOutletName = belongOutletName;
    }

    public String getBelongUserId() {
        return belongUserId;
    }

    public void setBelongUserId(String belongUserId) {
        this.belongUserId = belongUserId;
    }

    public String getBelongUserName() {
        return belongUserName;
    }

    public void setBelongUserName(String belongUserName) {
        this.belongUserName = belongUserName;
    }

    public String getCreateRole() {
        return createRole;
    }

    public void setCreateRole(String createRole) {
        this.createRole = createRole;
    }

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

    @Override
    public String toString() {
        return "CustManageInfo{" +
                "gridPattern='" + gridPattern + '\'' +
                ", gridLevel='" + gridLevel + '\'' +
                ", userDept=" + userDept +
                ", gridId=" + gridId +
                ", gridName='" + gridName + '\'' +
                ", topGridName='" + topGridName + '\'' +
                ", topGridDutyType='" + topGridDutyType + '\'' +
                ", secGridName='" + secGridName + '\'' +
                ", secGridDutyType='" + secGridDutyType + '\'' +
                ", virtualGridName='" + virtualGridName + '\'' +
                ", virtualGridDutyType='" + virtualGridDutyType + '\'' +
                ", distributeTag='" + distributeTag + '\'' +
                ", custName='" + custName + '\'' +
                ", custId='" + custId + '\'' +
                ", custNo='" + custNo + '\'' +
                ", custPattern='" + custPattern + '\'' +
                ", belongBranchName='" + belongBranchName + '\'' +
                ", belongBranchId='" + belongBranchId + '\'' +
                ", belongOutletName='" + belongOutletName + '\'' +
                ", belongUserId='" + belongUserId + '\'' +
                ", belongUserName='" + belongUserName + '\'' +
                ", createRole='" + createRole + '\'' +
                ", regionCode='" + regionCode + '\'' +
                '}';
    }
}
